
Redmine - Defect #30125

Can't be distinguished when deleting multiple attachments with the same file name in one action.

2018-12-08 06:37 - Jun NAITOH

Status: Confirmed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 3.4.0

Description

When attachment file names are the same.

 same_name_attachments.png 

I can not distinguish files I want to delete.

 delete.png 

Related issues:

Related to Redmine - Feature #13072: Delete multiple attachments with one action Closed

History

#1 - 2018-12-09 02:07 - Jun NAITOH

Environment

$ ruby bin/about

sh: bzr: command not found

Environment:

  Redmine version                3.4.6.devel.17695

  Ruby version                   2.4.0-p0 (2016-12-24) [i686-linux]

  Rails version                  5.2.2

  Environment                    production

  Database adapter               SQLite

  Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

  Mailer delivery                smtp

SCM:

  Subversion                     1.6.11

  Mercurial                      1.4

  Git                            1.7.12.4

  Filesystem                     

Redmine plugins:

  no plugin installed

This is a problem with feature #13072.

#2 - 2018-12-09 03:16 - Go MAEDA

- Related to Feature #13072: Delete multiple attachments with one action added

#3 - 2020-09-28 15:42 - Go MAEDA

- Status changed from New to Confirmed

#4 - 2021-03-26 06:58 - Yuichi HARADA

- File add-file-attrs-to-bulk-delete-list.png added

- File 30125.patch added

Fixed to show file attributes (file size, description, author, creation date, and time) in the bulk delete list of attachments for issue edit form and wiki
https://www.redmine.org/issues/13072


page edit form.

This will help you identify the files you want to delete.

 add-file-attrs-to-bulk-delete-list.png 

Files

delete.png 16.1 KB 2018-12-08 Jun NAITOH

same_name_attachments.png 53.5 KB 2018-12-08 Jun NAITOH

add-file-attrs-to-bulk-delete-list.png 101 KB 2021-03-26 Yuichi HARADA

30125.patch 5.89 KB 2021-03-26 Yuichi HARADA
